// fast version
void colorFast(uint32_t c, uint8_t wait) {
  for (uint16_t i = 0; i < strip.numPixels(); i++) {
    strip.setPixelColor(i, c);
  }
  strip.show();
  delay(wait);
}

int counter = 0;
void tripleMoody(){
rainbowCycle(random(20));
counter++;
}

// color wipe from center
void colorWipeCenter(uint32_t c, uint8_t wait) {
  uint8_t mid = strip.numPixels() / 2;
  strip.setPixelColor(mid, c);
  for (uint16_t i = 0; i <= strip.numPixels() / 2; i++) {
    strip.setPixelColor(mid + i, c);
    strip.setPixelColor(mid - i, c);
    strip.show();
    delay(wait);
  }
}
