// scanner
void scanner(uint32_t c, uint8_t wait) {
  for (int i = 0; i < strip.numPixels(); i++) {
    colorFast(0, 0);
    strip.setPixelColor(i, c);
    strip.show();
    delay(wait);
  }
}

void scanner2(uint32_t c, uint8_t wait) {
  for (int i = strip.numPixels(); i > 0; i--) {
    colorFast(0, 0);
    strip.setPixelColor(i, c);
    strip.show();
    delay(wait);
  }
}

void inLivingColor() {
  scanner(red, 100);
  scanner(magenta, 100);
  scanner(green, 100);
  scanner(yellow, 100);
  scanner(blue, 100);
  scanner(orange, 100);
}

// scanner to midpoint
void bounceInOut(uint8_t num, uint8_t start, uint8_t wait) {
  colorFast(0, 0);
  uint8_t color = 200;
  for (int q = 0; q < num; q++) {
    if (strip.numPixels() - start >= 0 && start < PIXEL_COUNT) {
      strip.setPixelColor(start + q, strip.Color(0, color, 0));
      strip.setPixelColor(strip.numPixels() - start - q, strip.Color(0, color, 0));
    }
    color = round(color / 2.0);
    strip.show();
    delay(wait);
  }
  if (counter > strip.numPixels()) {
    counter = 0;
  }
}
