uint8_t colors[3];

// sine wave, low (0-359),high (0-359), rate of change, wait
void wavey(int low, int high, float rt, uint8_t wait) {
  float in, out;
  int diff = high - low;
  int step = diff / strip.numPixels();
  for (in = 0; in < 6.283; in = in + rt) {
    for (int i = 0; i < strip.numPixels(); i++) {
      out = sin(in + i * (6.283 / strip.numPixels())) * diff + low;
      HSVtoRGB(out, 255, 255, colors);
      strip.setPixelColor(i, colors[0], colors[1], colors[2]);
    }
    strip.show();
    delay(wait);
  }
}

// sine wave, intensity
void waveIntensity(float rt, uint8_t wait) {
  float in, level;
  for (in = 0; in < 6.283; in = in + rt) {
    for (int i = 0; i < strip.numPixels(); i++) {
      // sine wave, 3 offset waves make a rainbow!
      level = sin(i + in) * 127 + 128;
      // set color level
      strip.setPixelColor(i, (int)level, 0, 0);
    }
    strip.show();
    delay(wait);
    }
  }
  
void twitchy(){
        //      //random twitchy wave
      wavey(random(359), random(359), 0.06, 110);
      
}
